com.verisign.epp.serverstub

## Class NameVerificationHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPNameVerificationHandler
  - - com.verisign.epp.serverstub.NameVerificationHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NameVerificationHandler
      extends EPPNameVerificationHandler

  Stub handler for the Name Verification commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameVerificationHandler()` Constructs an instance of IdnMapDomainHandler

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doNameVerificationCheck(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doNameVerificationCheck` method and add handling of the Name Verification Check Command.
    `protected EPPEventResponse` | `doNameVerificationCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doNameVerificationCreate` method and add handling of the Name Verification Create Command.
    `protected EPPEventResponse` | `doNameVerificationInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doNameVerificationInfo` method and add handling of the Name Verification Info Command.
    `protected EPPEventResponse` | `doNameVerificationUpdate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doNameVerificationUpdate` method and add handling of the Name Verification Update Command.
    `static java.security.cert.PKIXParameters` | `loadPKIXParameters(java.lang.String aTrustStoreName)` Loads the trust store file into the `PKIXParameters` used to verify the certificate chain The Java Trust Store is loaded with the trusted VSP certificates.
    `static java.security.PublicKey` | `loadPublicKey(java.lang.String aKeyStoreName, java.lang.String aPublicKeyAlias)` Loads the public key used to verify a digital signature signed with the associated private key, loaded by `loadPrivateKeyEntry(String, String, String)`.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Do any pre-handling of commands.

    - ### Methods inherited from class com.verisign.epp.framework.EPPNameVerificationHandler

      `getNamespace, handleEvent, postHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameVerificationHandler

          public NameVerificationHandler()

      Constructs an instance of IdnMapDomainHandler

  - ### Method Detail

    - #### loadPublicKey

          public static java.security.PublicKey loadPublicKey(java.lang.String aKeyStoreName,
                                                              java.lang.String aPublicKeyAlias)
                                                       throws java.lang.Exception

      Loads the public key used to verify a digital signature signed with the associated private key, loaded by `loadPrivateKeyEntry(String, String, String)`.
      Parameters:
        `aKeyStoreName` - Java Keystore containing the certificate
        `aPublicKeyAlias` - Java Keystore alias of the `trustedCertEntry` containing the public key
      Returns:
        Loaded `PublicKey` instance
      Throws:
        `java.lang.Exception` - Error loading the public key

    - #### loadPKIXParameters

          public static java.security.cert.PKIXParameters loadPKIXParameters(java.lang.String aTrustStoreName)
                                                                      throws java.lang.Exception

      Loads the trust store file into the `PKIXParameters` used to verify the certificate chain The Java Trust Store is loaded with the trusted VSP certificates.
      Parameters:
        `aTrustStoreName` - Trust store file name
      Returns:
        Initialized `PKIXParameters` instance.
      Throws:
        `java.lang.Exception` - Error initializing the PKIX parameters

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Do any pre-handling of commands.
      Overrides:
        `preHandleEvent` in class `EPPNameVerificationHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `NameVerificationHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doNameVerificationCheck

          protected EPPEventResponse doNameVerificationCheck(EPPEvent aEvent,
                                                             java.lang.Object aData)

      Override base handler `doNameVerificationCheck` method and add handling of the Name Verification Check Command.
      Specified by:
        `doNameVerificationCheck` in class `EPPNameVerificationHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `NameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationInfo

          protected EPPEventResponse doNameVerificationInfo(EPPEvent aEvent,
                                                            java.lang.Object aData)

      Override base handler `doNameVerificationInfo` method and add handling of the Name Verification Info Command.
      Specified by:
        `doNameVerificationInfo` in class `EPPNameVerificationHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `NameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationCreate

          protected EPPEventResponse doNameVerificationCreate(EPPEvent aEvent,
                                                              java.lang.Object aData)

      Override base handler `doNameVerificationCreate` method and add handling of the Name Verification Create Command.
      Specified by:
        `doNameVerificationCreate` in class `EPPNameVerificationHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `NameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationUpdate

          protected EPPEventResponse doNameVerificationUpdate(EPPEvent aEvent,
                                                              java.lang.Object aData)

      Override base handler `doNameVerificationUpdate` method and add handling of the Name Verification Update Command.
      Specified by:
        `doNameVerificationUpdate` in class `EPPNameVerificationHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `NameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.